#-quicklisp
(let ((quicklisp-init (merge-pathnames "quicklisp/setup.lisp"
                                       (user-homedir-pathname))))
  (when (probe-file quicklisp-init)
    (load quicklisp-init)))

;;; init
(in-package :stumpwm)
(setf *default-package* :stumpwm)
;; (set-module-dir (concatenate 'string (getenv "HOME") "/.stumpwm.d/modules"))
(set-module-dir "/usr/share/stumpwm/contrib/util/")

;; startup
(setf *startup-message* nil)

(run-shell-command "xsetroot -cursor_name left_ptr")
(run-shell-command "autostart")

;;; load window placement rules
(load "~/.stumpwm.d/placement.lisp")

;;; load keybindings
(load "~/.stumpwm.d/keybindings.lisp")

;;; load theme
(load "~/.stumpwm.d/theme.lisp")

;; configs
(setf *mouse-focus-policy*    :click
      *float-window-modifier* :META)

;;; end session module
(load-module "end-session")

;;; global windows list module
(load-module "globalwindows")

;;; Modeline
(load "~/.stumpwm.d/modeline.lisp")
(when *initializing*
  (mode-line))

(load-module "swm-ssh")
(setq swm-ssh:*swm-ssh-default-term* "kitty")

;;; alert module
(load-module "alert-me")

;;; menu for stumpwm
(load-module "app-menu")
(setq app-menu:*app-menu*
      '("Emacs" "emacs"))

;;; globalwindow
(load-module "globalwindows")
(load-module "beckon")

(setf *startup-message* "StumpWM is ready!")
